aboutsummaryrefslogtreecommitdiffstats
path: root/lib/egg/update-from-egg.sh
diff options
context:
space:
mode:
authorMarco Pesenti Gritti <marco@it.gnome.org>2003-04-02 02:48:50 +0800
committerMarco Pesenti Gritti <mpeseng@src.gnome.org>2003-04-02 02:48:50 +0800
commit1bf392262548cf4c6779e1bc6c550b3605aba733 (patch)
treecf7ef737a899cb44d44d4270a788b5a7ebdcc964 /lib/egg/update-from-egg.sh
parenta040bc3b4be4f80ae661b7f2a88c78d29c480e65 (diff)
downloadgsoc2013-epiphany-1bf392262548cf4c6779e1bc6c550b3605aba733.tar
gsoc2013-epiphany-1bf392262548cf4c6779e1bc6c550b3605aba733.tar.gz
gsoc2013-epiphany-1bf392262548cf4c6779e1bc6c550b3605aba733.tar.bz2
gsoc2013-epiphany-1bf392262548cf4c6779e1bc6c550b3605aba733.tar.lz
gsoc2013-epiphany-1bf392262548cf4c6779e1bc6c550b3605aba733.tar.xz
gsoc2013-epiphany-1bf392262548cf4c6779e1bc6c550b3605aba733.tar.zst
gsoc2013-epiphany-1bf392262548cf4c6779e1bc6c550b3605aba733.zip
Use EggEditableToolbar. Update to latest versions (not EggMenuMerge, we
2003-04-01 Marco Pesenti Gritti <marco@it.gnome.org> * lib/egg/Makefile.am: * lib/egg/egg-accel-dialog.c: * lib/egg/egg-action-group.c: * lib/egg/egg-action.c: * lib/egg/egg-editable-toolbar.c: * lib/egg/egg-editable-toolbar.h: * lib/egg/egg-radio-action.c: * lib/egg/egg-toggle-action.c: * lib/egg/egg-toolbars-group.c: * lib/egg/egg-toolbars-group.h: * lib/egg/eggintl.h: * lib/egg/eggtoolbar.c: * lib/egg/eggtoolbutton.c: * lib/egg/update-from-egg.sh: Use EggEditableToolbar. Update to latest versions (not EggMenuMerge, we still need patches). WARNING: it's no more possible to drag bookmarks in the toolbar, if you depend on that feature please wait the weekend to update cvs. * lib/egg/egg-markup.c: * lib/egg/egg-markup.h: Remove, not used. * lib/widgets/Makefile.am: * lib/widgets/ephy-editable-toolbar.c: * lib/widgets/ephy-editable-toolbar.h: * lib/widgets/ephy-toolbars-group.c: * lib/widgets/ephy-toolbars-group.h: Remove. * src/prefs-dialog.c: (prefs_dialog_show_help), (prefs_dialog_response_cb): Fix a warning. * src/toolbar.c: (toolbar_get_type), (toolbar_get_action_name), (toolbar_get_action), (toolbar_class_init), (toolbar_init): * src/toolbar.h: * src/window-commands.c: (window_cmd_edit_toolbar): Update to use the egg api.
Diffstat (limited to 'lib/egg/update-from-egg.sh')
-rwxr-xr-xlib/egg/update-from-egg.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/lib/egg/update-from-egg.sh b/lib/egg/update-from-egg.sh
new file mode 100755
index 000000000..b2e74bb7a
--- /dev/null
+++ b/lib/egg/update-from-egg.sh
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+function die() {
+ echo $*
+ exit 1
+}
+
+if test -z "$EGGDIR"; then
+ echo "Must set EGGDIR"
+ exit 1
+fi
+
+if test -z "$EGGFILES"; then
+ echo "Must set EGGFILES"
+ exit 1
+fi
+
+for FILE in $EGGFILES; do
+ SRCFILE=$EGGDIR/$FILE
+ if ! test -e $SRCFILE ; then
+ if test -e $EGGDIR/toolbar/$FILE ; then
+ SRCFILE=$EGGDIR/toolbar/$FILE
+ fi
+ if test -e $EGGDIR/menu/$FILE ; then
+ SRCFILE=$EGGDIR/menu/$FILE
+ fi
+ if test -e $EGGDIR/toolbareditor/$FILE ; then
+ SRCFILE=$EGGDIR/toolbareditor/$FILE
+ fi
+ if test -e $EGGDIR/util/$FILE ; then
+ SRCFILE=$EGGDIR/util/$FILE
+ fi
+ fi
+ if cmp -s $SRCFILE $FILE; then
+ echo "File $FILE is unchanged"
+ else
+ cp $SRCFILE $FILE || die "Could not move $SRCFILE to $FILE"
+ echo "Updated $FILE"
+ fi
+done